View Issue Details

IDProjectCategoryView StatusLast Update
0014331ScribusStory Editor / Text Framespublic2016-11-11 22:54
Reporterwgregori Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSLinux UbuntuOS Version16.04
Product Version1.5.3.svn 
Target VersionFixed in Version 
Summary0014331: Spell check does not work
DescriptionI have been using Scribus for years (and enjoying it) but the spell check has onl worked sporadically throughout my experience. Currently it does not work at all on my implementation. To make sure that is has nothing to do with conflicts on my system I installed a fresh Ubuntu 16.04 OS on Virtualbox and then scribus-trunk to replicate the problem. Results: it still didn't work.
Steps To ReproduceInstall scribus and try it. Create a document, insert a text box, type some words including some spelling errors, press shift-F7. The speller checker opens up without reporting any errors.
TagsNo tags attached.
PatchNo

Activities

jghali

2016-10-26 19:24

administrator   ~0042195

Unable to reproduce. Works ok once proper spelling dictionary has been installed and corresponding language defined in default text styles.

wgregori

2016-10-27 18:25

reporter   ~0042205

That's good news but I'm still spell checkerless.... the keys to success are mentioned in your note:

Dictionary Installed: from what I can find online... Scribus 1.4 and beyond uses the dictionary engine supplied in LibreOffice. Regardless of this; this is no reference that I can find in how to install a dictionary for Linux/Scribus

Defined in Text Styles: I have gone through both the Document Setup and Preferences and I can find no reference to such a setting.

If you can direct me to documentation regarding the above items I would very much appreciate it.

Finally, I've been using scribus for years and have installed it on at least a dozen Ubuntu machines... I have had spellcheck work sporadically on a couple of systems. Installing it on a Windows machine it works every time :( I know that there are many Linux distros and this makes it much more complicated... but I love linux and the opensource community...

Thanks again for your work and commitment to this important package.
Wayne

cbradney

2016-10-27 19:08

administrator   ~0042206

1.5.x is a development series - how dictionaries are installed has changed. Go to Windows->Resources and download/install the ones you want. Scribus will also find the ones installed on your system from LibreOffice, or other packages etc.

jghali

2016-10-27 20:54

administrator   ~0042208

Last edited: 2016-10-27 21:30

View 2 revisions

>> Defined in Text Styles: I have gone through both the Document Setup and Preferences and I can find no reference to such a setting.

Text styles like all styles are accessible from Edit > Styles menu. Language is a property of character styles. This property is used by hyphenator and spell check to determine which hyphenation/spell checking to use for each word.

wgregori

2016-10-28 19:03

reporter   ~0042214

I have made some progress. I have:
1. Downloaded and installed the English US dictionary
2. Gone to style sheets and selected it
3. Now during a spell check the system identifies each word as being misspelled. I did a screen capture of what happened.

https://cloud.gregorigroup.com/index.php/s/a06CvdZDoxRyUMA

Thanks

jghali

2016-10-29 20:43

administrator   ~0042223

The dictionary download location has moved recently. Please download complete list again by clicking "update available list" in resource manager, then download dictionary again.

wgregori

2016-11-02 21:34

reporter   ~0042300

works! Thank you. I wanted to add that once you download the new dictionaries in the Windows->Resources tab, you must open the style sheet (F3) and reselect the correct language dictionary for each style sheet (even if it had previously reflected the correct dictionary). This last step appears to reestablish the link to the correct dictionary.

Wayne

Kunda

2016-11-08 02:38

updater   ~0042359

 I wanted to add that once you download the new dictionaries in the Windows->Resources tab, you must open the style sheet (F3) and reselect the correct language dictionary for each style sheet (even if it had previously reflected the correct dictionary). This last step appears to reestablish the link to the correct dictionary.

Must the user do this each time?

Issue History

Date Modified Username Field Change
2016-10-26 18:41 wgregori New Issue
2016-10-26 19:24 jghali Note Added: 0042195
2016-10-26 19:28 jghali Summary Spell check does not work - => Spell check does not work
2016-10-27 18:25 wgregori Note Added: 0042205
2016-10-27 19:08 cbradney Note Added: 0042206
2016-10-27 20:54 jghali Note Added: 0042208
2016-10-27 21:30 jghali Note Edited: 0042208 View Revisions
2016-10-28 19:03 wgregori Note Added: 0042214
2016-10-29 20:43 jghali Note Added: 0042223
2016-11-02 21:34 wgregori Note Added: 0042300
2016-11-08 02:38 Kunda Note Added: 0042359
2016-11-08 02:38 Kunda Assigned To => jghali
2016-11-08 02:38 Kunda Status new => resolved
2016-11-08 02:38 Kunda Resolution open => fixed
2016-11-11 22:54 cbradney Status resolved => closed